# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "haystack_core"
version = "1.16.37"
authors = ["Terraphim"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core traits and types for Terraphim haystack integrations"
readme = false
license = "MIT"
repository = "https://github.com/terraphim/terraphim-ai"
resolver = "2"

[lib]
name = "haystack_core"
path = "src/lib.rs"

[dependencies.terraphim_types]
version = "1.0.0"

[dev-dependencies.tokio]
version = "1.0"
features = [
    "full",
    "rt-multi-thread",
    "macros",
]
